<?php

//translator ready
//addnews ready
//alignment ready

// Bellerophontes' Turm, Version fr logd 0.98
//
// Bellerophontes' Turm birgt viele berraschungen.
// Wohl dem, der es schafft, ihn zu erreichen!
// Wohl dem ... ?
//
// Erdacht und umgesetzt von Oliver Wellinghoff.
// E-Mail: wellinghoff@gmx.de
// Erstmals erschienen auf: http://www.green-dragon.info
//
//  - 25.06.2004 -
//  - Version vom 01.03.2005 -

require_once("lib/commentary.php");

function bellerophontes_getmoduleinfo(){
    $info = array(
        "name"=>"Bellerophontes' Turm",
        "version"=>"1.5",
        "author"=>"Oliver Wellinghoff",
        "category"=>"Forest Specials",
        "download"=>"http://dragonprime.net/users/Harassim/bellerophontes.zip",
    );
    return $info;
}

function bellerophontes_install(){
    module_addeventhook("forest", "return 100;");
    module_addhook("validatesettings");
    return true;
}

function bellerophontes_uninstall(){
    return true;
}

function bellerophontes_runevent($type)
{
    global $session;
	$op = httpget('op');

    $from = "forest.php?";
    $session['user']['specialinc'] = "module:bellerophontes";


if ($op=="" || $op=="search"){

    output("`@Vor Dir liegt ein langer, gerader Waldweg, ber dem die Bume zu dicht wachsen, als dass man reiten "
		  ."knnte. Es ist schon seit langem nichts Aufregendes mehr passiert - da erblickst Du, als Du eine "
		  ."Kreuzung erreichst, pltzlich etwas am Ende des ausgetrampelten Pfades: einen Turm im dunstigen "
		  ."Zwielicht des Waldes.`n`n");
    output("Was wirst Du tun?`n`n <a href='forest.php?op=weiter'>Weitergehen und versuchen, den Turm zu finden,</a>`n"
		  ."oder <a href='forest.php?op=abbiegen1'>hier abbiegen und den Weg verlassen.</a>`n", true);
    addnav("","forest.php?op=weiter");
    addnav("","forest.php?op=abbiegen1");
    addnav("Weitergehen.", $from . "op=weiter");
    addnav("Abbiegen.", $from . "op=abbiegen1");

}elseif ($op=="abbiegen1"){

    output("`@Du biegst an der Kreuzung ab und verlsst den Weg.");
    $session['user']['specialinc']="";

}elseif ($op=="weiter"){

	switch(e_rand(1,10)){
		case 1:
		case 2:
		case 3:
		case 4:
		case 5:
		case 6:
        output("`@Du folgst dem Pfad immer tiefer in den Wald hinein, stundenlang, doch der Turm bleibt fest "
			  ."am Horizont. Es ist, als knnte man nicht zu ihm gelangen .... Du willst schon aufgeben - als "
			  ."er pltzlich mit jedem weiteren Schritt einige Hundert Meter nher kommt!`n`n");
        $turns2 = e_rand(1,5);
		if ($session['user']['turns']<=$turns2){
			output("`^Bis hierher zu gelangen hat Dich %s gekostet!", translate($turns2==1?"Deinen letzten Waldkampf":"Deine restlichen Waldkmpfe"));
           	$session['user']['turns']=0;
			output("`n`n`@<a href='forest.php?op=turm'>Weiter.</a>", true);
           	addnav("", $from . "op=turm");
			addnav("Weiter.", $from . "op=turm");
			break;
		}else{
           	output("`^Bis hierher zu gelangen hat Dich bereits %s %s gekostet!", $turns2, translate($turns2==1?"Waldkampf":"Waldkmpfe"));
           	$session['user']['turns']-=$turns2;
           	output("`n`n`@<a href='forest.php?op=turm'>Weiter.</a>", true);
           	addnav("", $from . "op=turm");
           	addnav("Weiter.", $from . "op=turm");
           	break;}
        case 7:
		case 8:
		case 9:
		case 10:
        output("`@Du folgst dem Pfad immer tiefer in den Wald, stundenlang. Er scheint nicht enden zu wollen - "
			  ."und immer siehst Du den Turm an seinem Ende. An der nchsten Weggabelung bleibst Du stehen. "
			  ."Weiter nach dem Turm zu suchen wird Dich mglicherweise alle Deine Waldkmpfe kosten, aber Du "
			  ."sprst, dass Du `bganz dicht dran`b bist ...");
        output("`n`n`@<a href='forest.php?op=weiter2'>Weiter.</a>", true);
        output("`n`n`@<a href='forest.php?op=abbiegen2'>Abbiegen.</a>", true);
        addnav("", $from . "op=weiter2");
        addnav("", $from . "op=abbiegen2");
        addnav("Weitergehen.", $from . "op=weiter2");
        addnav("Abbiegen.", $from . "op=abbiegen2");
        break;
	}
	
}elseif ($op=="abbiegen2"){

    output("`@Du biegst an der Kreuzung ab und verlsst den Weg.`n`n");
    output("`^Bis hierher zu gelangen hat Dich jedoch bereits einen Waldkampf gekostet!");
    $session['user']['turns']-=1;
    $session['user']['specialinc']="";
	
}elseif ($op=="weiter2"){

    output("`@Du gibst nicht auf und folgst dem Pfad noch tiefer in den Wald hinein. Er scheint noch immer nicht "
		  ."enden zu wollen, und es wird immer dunkler. Noch etwa eine Stunde und auch das letzte Licht, das sich "
		  ."seinen Weg durch die Bume kmpft, wird erloschen sein - und immer siehst Du den Turm vor Dir, am Ende "
		  ."des Weges.`n`n");
	switch(e_rand(1,15)){
		case 1:
        case 2:
        case 3:
        case 4:
        case 5:
		case 6:
        output("`@Schlielich kannst Du Deine Hand kaum noch vor Augen sehen - doch der Turm bleibt am Horizont, "
			  ."als wrde es dort niemals dunkel werden. Es hilft nichts; schwer enttuscht nimmst Du die nchste "
			  ."Abzweigung und gelangst spt in der Nacht und vllig bermdet zurck ins Dorf. Da Du im Dunkeln "
			  ."nichts sehen konntest, hast Du Dir einige derbe Schrammen eingehandelt. Immerhin eine Erfahrung, "
			  ."die man nicht jeden Tag macht.`n`n");
		if ($session['user']['turns']>=20){
           	output("`n`nDu bekommst `^%s`@ Erfahrungspunkte hinzu, verlierst aber alle verbliebenen Waldkmpfe!", round($session['user']['experience']*0.08));
           	$session['user']['experience']=round($session['user']['experience']*1.08);
		}elseif($session['user']['turns']>=13){
           	output("`n`nDu bekommst `^%s`@ Erfahrungspunkte hinzu, verlierst aber alle verbliebenen Waldkmpfe!", round($session['user']['experience']*0.07));
           	$session['user']['experience']=round($session['user']['experience']*1.07);
		}elseif($session['user']['turns']>=6){
           	output("`n`nDu bekommst `^%s`@ Erfahrungspunkte hinzu, verlierst aber alle verbliebenen Waldkmpfe!", round($session['user']['experience']*0.05));
           	$session['user']['experience']=round($session[user][experience]*1.05);
		}else{
			output("Du bekommst `^%s`@ Erfahrungspunkte hinzu, verlierst aber `$%s`@ Lebenspunkte und alle verbliebenen Waldkmpfe!`n", round($session['user']['experience']*0.04), round($session['user']['hitpoints']*0.20));
           	$session['user']['hitpoints']=round($session['user']['hitpoints']*0.80);
           	$session['user']['experience']=round($session['user']['experience']*1.04);
		}
        $session['user']['turns']=0;
        $session['user']['specialinc']="";
        break;
        case 6:
        case 7:
        case 8:
        case 9:
        case 10:
        case 11:
        case 12:
        case 13:
        case 14:
        case 15:
        output("`@Schlielich kannst Du Deine Hand kaum noch vor Augen erkennen - doch der Turm bleibt am "
			  ."Horizont, als wrde es dort niemals dunkel werden. Du willst schon an der nchsten Abbiegung "
			  ."aufgeben - als der Turm beginnt, sich mit jedem weiteren Schritt um einige Hundert Meter zu "
			  ."nhern! Er liegt trotz der spten Stunde noch immer im Hellen ...`n`n");
        output("`^Die Suche hat Dich alle verbliebenen Waldkmpfe gekostet!");
        $session['user']['turns']=0;
        output("`n`n`@<a href='forest.php?op=turm'>Weiter.</a>", true);
        addnav("", $from . "op=turm");
        addnav("Weiter.", $from . "op=turm");
    	break;
	}

}elseif ($op=="turm"){

	output("`@Nun stehst Du vor ihm, einem verwitterten, mit Efeu bewachsenen Wehrturm, der von den berresten "
	  	  ."einer einstigen Mauer umgeben ist. Den Eingang bildet eine schwere Eichentr, die kein Zeichen der "
		  ."Abnutzung aufweist. An einem Pfosten ist ein weies Pferd mit Flgeln angebunden; ein Pegasus, der "
		  ."friedlich grast, und an dessem Sattel ein praller Lederbeutel hngt. Schaust Du nach oben, erblickst "
		  ."Du einen Balkon.");
    output("`n`nWas wirst Du tun?");
    output("`n`n<a href='forest.php?op=klopfen'>An die schwere Eichentr klopfen.</a>",true);
    output("`n`n<a href='forest.php?op=rufen'>Zum Balkon hinaufrufen.</a>",true);
    output("`n`n<a href='forest.php?op=stehlen'>Zu dem Pegasus gehen und den Beutel stehlen.</a>",true);
    output("`n`n<a href='forest.php?op=oeffnen'>Versuchen, die Eichentr zu ffnen, um unbemerkt hineinzugelangen.</a>",true);
    output("`n`n<a href='forest.php?op=klettern'>ber das Efeu zum Balkon hinaufklettern.</a>",true);
    output("`n`n<a href='forest.php?op=ausruhen'>Diesen auf eine besondere Art friedlichen Ort zum Ausruhen nutzen.</a>",true);
    output("`n`n<a href='forest.php?op=gehen'>Dem Ganzen den Rcken kehren - das sieht doch sehr verdchtig aus ...</a>",true);
    addnav("", $from . "op=klopfen");
    addnav("", $from . "op=rufen");
    addnav("", $from . "op=stehlen");
    addnav("", $from . "op=oeffnen");
    addnav("", $from . "op=klettern");
    addnav("", $from . "op=ausruhen");
    addnav("", $from . "op=gehen");
    addnav("Klopfen.", $from . "op=klopfen");
    addnav("Rufen.", $from . "op=rufen");
    addnav("Stehlen.", $from . "op=stehlen");
    addnav("ffnen.", $from . "op=oeffnen");
    addnav("Klettern.", $from . "op=klettern");
    addnav("Ausruhen.", $from . "op=ausruhen");
    addnav("Gehen.", $from . "op=gehen");

}elseif ($op=="klopfen"){

	output("`@Du nimmst all Deinen Mut zusammen und klopfst an die Eichentr. Die Schritte schwerer Eisenstulpen "
		  ."ertnen aus dem Innern des Turmes und werden immer lauter ...`n`n");
    switch(e_rand(1,13)){
		case 1:
        case 2:
        case 3:
        output("`@Jemand drckt die Tr von innen auf - doch wer es war, sollst Du nie erfahren. Die Wucht muss "
			  ."jedenfalls gewaltig gewesen sein, sonst httest Du es berlebt.`n`n");
        output("`$ Du bist tot!`n");
        output("`@Du verlierst `$%s`@ Erfahrungspunkte und all Dein Gold!`n", round($session['user']['experience']*0.03));
        output("Du kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.97);
        addnav("Tgliche News","news.php");
        addnews("`\$`b%s`b `\$wurde im Wald von einer schweren Eichentr erschlagen.",$session['user']['name']);
        $session['user']['specialinc']="";
        break;
        case 4:
        case 5:
        case 6:
        case 7:
        case 8:
        case 9:
        case 10:
        output("Zumindest in Deiner Einbildung. Als sich Dein Herzschlag wieder beruhigt, musst Du zu Deiner "
			  ."Enttuschung feststellen, dass wohl niemand zu Hause ist. Du gehst zurck in den Wald.");
        $session['user']['specialinc']="";
        break;
        case 11:
        output("Die Tr ffnet sich und Du stehst vor Bellerophontes, dem groen Heros und Chimrenbezwinger! "
			  ."Und tatschlich, auf einem Tisch im Innern siehst Du das Mischwesen liegen; halb Lwe, halb "
			  ."Skorpion. Aber Dein Blick wird sofort wieder auf den Helden gezogen, diesen beraus stattlichen "
			  ."Mann mit langem, dunklem Haar, das von einem Reif gehalten wird. Er trgt eine strahlend weie "
			  ."Robe, die das Zeichen des Poseidon ziert, und hat den ehrfurchtgebietenden Blick eines Mannes, "
			  ."der den Gttern entstammt ... `#'Das Orakel von Delphi hatte vorhergesagt, dass jemand kommen "
			  ."wrde, um mich nach bestandenem Kampf zu ermorden.'");
        output("`@Er mustert Dich - und beginnt dann schallend zu lachen: `#'Aber damit kann es `bDich`b ja "
			  ."wohl kaum gemeint haben, Wurm!'`n`n `@Er nimmt sich etwas Zeit und zeigt Dir, wie man sich im "
			  ."Wald verteidigt, damit Du Deinen Weg zum Dorf sicher zurcklegen kannst!");
        output("`n`n`^Du erhltst 1 Punkt Verteidigung!");
        $session['user']['defense']++;
        $session['user']['specialinc']="";
        break;
        case 12:
        case 13:
        output("Die Tr ffnet sich und Du stehst vor Bellerophontes, dem groen Heros und Chimrenbezwinger! "
			  ."Und tatschlich, auf einem Tisch im Innern siehst Du das Mischwesen liegen; halb Lwe, halb "
			  ."Skorpion. Aber Dein Blick wird sofort wieder auf den Helden gezogen, diesen beraus stattlichen "
			  ."Mann mit langem, dunklem Haar, das von einem Reif gehalten wird. Er trgt eine strahlend weie "
			  ."Robe, die das Zeichen des Poseidon ziert, und hat den ehrfurchtgebietenden Blick eines Mannes, "
			  ."der den Gttern entstammt ... `#'Das Orakel von Delphi hatte vorhergesagt, dass jemand kommen "
			  ."wrde, um mich nach bestandenem Kampf zu ermorden.'");
        output("`@Er mustert Dich - und beginnt dann schallend zu lachen: `#'Aber damit kann es `bDich`b ja wohl "
			  ."kaum gemeint haben, Wurm!'`@`n`n Er nimmt sich etwas Zeit und zeigt Dir, wie man gro und stark "
			  ."wird!");
        output("`n`n`^Du erhltst 1 Punkt Angriff!");
        $session['user']['attack']++;
        $session['user']['specialinc']="";
        break;
	}

}elseif ($op=="rufen"){

	switch(e_rand(1,11)){
    	case 1:
        case 2:
        case 3:
        output("`@Du rusperst Dich und rufst so laut Du kannst hinauf: `#'Haaaalloooo! Ist da jemand?'");
        output("`@Nichts. Du willst gerade zu einem erneuten Rufen ansetzen ...`n`n ... ");
		output("als Du einen Schlag im Genick sprst. Und es ist das letzte, was Du sprst.`n`n");
        output("`$ Du bist tot!`n");
        output("`@Du verlierst `$%s`@ Erfahrungspunkte und all Dein Gold!`n", round($session['user']['experience']*0.03));
        output("Du kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.97);
        addnav("Tgliche News","news.php");
       	addnews("`\$`b%s`b `\$machte durch %s lautes Rufen einen hungrigen Ork auf sich aufmerksam ...", $session['user']['name'], translate($session['user']['sex']?"ihr":"sein"));
        $session['user']['specialinc']="";
        break;
        case 4:
		case 5:
		case 6:
        output("`@Du rusperst Dich und rufst so laut Du kannst hinauf: `#'Haaaalloooo! Ist da jemand?'");
        output("`@Nichts. Du willst gerade zu einem erneuten Rufen ansetzen ...`n`n ... ");
		output("als jemand zurckruft: `#'Nein, hier ist niemand!' `@`n`nTja, das nenne ich ein Pech! Du findest es "
			  ."zwar seltsam, dass niemand zu Hause ist, schlielich steht ja drauen der Pegasus, aber Dir bleibt "
			  ."wohl nichts anderes brig, als diesen Ort zu verlassen.");
        $session['user']['specialinc']="";
        break;
        case 7:
        case 8:
        output("`@Du rusperst Dich und rufst so laut Du kannst hinauf: `#'Haaaalloooo! Ist da jemand?'");
        output("`@Nichts. Du willst gerade zu einem erneuten Rufen ansetzen ...`n`n ... ");
        output("als jemand zurckruft: `#'Herakles, bist Du's? Nimm Dir von dem Gold in dem Beutel, es ist auch das "
			  ."Deine!'`n`@Mit etwas dumpferer Stimme rufst Du zurck - `#'Danke!'`@ -, greifst in den Beutel auf "
			  ."dem Rcken des Pegasus und begibst Dich so schnell Du kannst zurck zum Dorf.`n`n");
        $gold = e_rand(400,900);
        output("`@Du bekommst `^%s `@Erfahrungspunkte hinzu und `^".round($gold * $session['user']['level'])." `@Goldstcke!", round($session['user']['experience']*0.03));
        $session['user']['experience']=round($session['user']['experience']*1.03);
        $session['user']['gold'] += round($gold * $session['user']['level']);
        $session['user']['specialinc']="";
        break;
        case 9:
        case 10:
        output("`@Du rusperst Dich und rufst so laut Du kannst hinauf: `#'Haaaalloooo! Ist da jemand?'");
        output("`@Nichts. Du willst gerade zu einem erneuten Rufen ansetzen ...`n`n ... ");
        output("als jemand an den Balkon tritt: ein stattlicher Mann mit langem, dunklem Haar, das von einem Reif "
			  ."gehalten wird. Er trgt eine strahlend weie Robe, die das Zeichen des Poseidon ziert, und hat den "
			  ."ehrfurchtgebietenden Blick eines Mannes, der den Gttern entstammt ...");
        output("`n`n`#'Sei gegrt, Sterblicher! Du hast groe Entbehrungen auf Dich genommen, um meinen Turm zu "
			  ."erreichen. Dafr hast Du Dir eine Belohnung redlich verdient! Nimm! Und berichte in aller Welt, "
			  ."dass ich, Bellerophontes, die Chimre besiegt habe!'`&`n`n `@Er wirft Dir einen Beutel herunter!`n");
        $gems = e_rand(2,3);
        output("`nIn dem Beutel befanden sich `^%s`@ Edelsteine!", $gems);
        $session['user']['gems']+=$gems;
        addnav("Tgliche News","news.php");
        addnav("Zurck zum Wald.","forest.php");
        addnews("`@`b%s`b `@hielt heute auf dem Dorfplatz einen langen Vortrag ber `#Bellerophontes'`@ groartige Heldentaten!",$session['user']['name']);
		injectcommentary("village", "","/me `\@stellt sich auf die Mitte des Platzes, ruspert sich und hlt einen langen Vortrag ber die Heldentaten eines gewissen `#Bellerophontes`@!", $schema=false);
        $session['user']['specialinc']="";
        break;
        case 11:
        output("`@Du rusperst Dich und rufst so laut Du kannst hinauf: `#'Haaaalloooo! Ist da jemand?'");
        output("`@Nichts. Du willst gerade zu einem erneuten Rufen ansetzen ...`n`n ... ");
        output("als jemand an den Balkon tritt: ein stattlicher Mann mit langem, dunklem Haar, das von einem Reif "
			  ."gehalten wird. Er trgt eine strahlend weie Robe, die das Zeichen des Poseidon ziert, und hat den "
			  ."ehrfurchtgebietenden Blick eines Mannes, der den Gttern entstammt ...");
        output("`#Ich habe viel von Deinen Heldentaten gehrt, %s! Hier, dies soll Dir auf Deinen Drachenjagden "
			  ."behilflich sein! Nach meinem Sieg ber die Chimre brauche ich es nicht mehr.'`@`n`n Er berreicht "
			  ."Dir sein Amulett des Lebens!", $session['user']['name']);
        output("`n`n`@Du erhltst `^einen`@ permanenten Lebenspunkt!");
        $session['user']['maxhitpoints']++;
        $session['user']['hitpoints']++;
        $session['user']['specialinc']="";
        break;
	}

}elseif ($op=="stehlen"){

	if (is_module_active('alignment')) align("-5");
	switch(e_rand(1,12)){ 
        case 1:
        case 2:
        output("`@Ein wahrhaft edles Tier ... wei wie Milch in der Sonne ... umgeben von einem blendenden "
			  ."Schimmer ... `@Aber jetzt bleibt keine Zeit fr Sentimentalitten! Du greifst nach dem Beutel "
			  ."und ... `n`n ... wirst von den Hufen des krftigen Tiers gegen die Mauerreste geschleudert. "
			  ."Erschrocken, aber froh um Dein Leben rappelst Du Dich auf und rennst davon.");
        output("`n`n`@Du bekommst `^%s`@ Erfahrungspunkte hinzu, verlierst aber fast alle Deine Lebenspunkte!`n", round($session['user']['experience']*0.04));
        $session['user']['hitpoints']=1;
        $session['user']['experience']=round($session['user']['experience']*1.04);
		$session['user']['specialinc']="";
        break;
        case 3:
		case 4:
        case 5:
        case 6:
		case 7:
		case 8:
		output("`@Ein wahrhaft edles Tier ... wei wie Milch in der Sonne ... umgeben von einem blendenden Schimmer "
			  ."... `@Aber jetzt bleibt keine Zeit fr Sentimentalitten! Du greifst nach dem Beutel und ... `n`n"
			  ."... wirst von seinem Gewicht zu Boden gerissen. Er ist voller Gold, wer htte das gedacht? Und je "
			  ."mehr du herausnimmst, desto schwerer scheint er zu werden! Gierig holst Du immer mehr heraus, und "
			  ."mehr, und mehr ... das Gold sprudelt nur so hervor - und hat Dich bald begraben.");
        output("`$`n`nDu bist tot!");
        output("`n`n`@Du verlierst `$%s`@ Erfahrungspunkte und all Dein Gold!`n", round($session['user']['experience']*0.05));
        output("`nDu kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.95);
		addnav("Tgliche News","news.php");
        addnews("`\$`b%s`b `\$wurde in %s Gier unter einem riesigen Haufen griechischer Goldmnzen begraben.",$session['user']['name'], translate($session[user][sex]?"ihrer":"seiner"));
        $session['user']['specialinc']="";
        break;
        case 9:
        case 10:
        output("`@Ein wahrhaft edles Tier ... wei wie Milch in der Sonne ... umgeben von einem blendenden Schimmer "
			  ."... `@Aber jetzt bleibt keine Zeit fr Sentimentalitten! Du greifst nach dem Beutel und ... `n`n "
			  ."... wirst von seinem Gewicht zu Boden gerissen. Er ist voller Gold, wer htte das gedacht? Und je "
			  ."mehr du herausnimmst, desto schwerer scheint er zu werden! Du nimmst soviel Gold mit, wie Du tragen "
			  ."kannst und verschwindest von diesem seltsamen Ort. Schade, dass man den Beutel nicht mitnehmen kann ...");
        $foundgold = e_rand(1000,2300) * $session['user']['level'];
        output("`n`n`@Du erhltst `^%s`@ Erfahrungspunkte und erbeutest `^%s `@Goldstcke!`n", round($session['user']['experience']*0.03), $foundgold);
        $session['user']['gold'] += $foundgold;
        $session['user']['experience']=round($session['user']['experience']*1.03);
        addnav("Zurck zum Wald.","forest.php");
        addnav("Tgliche News","news.php");
        addnews("`b`@%s`b `@gelang es, dem griechischen Heros `#Bellerophontes`^ %s`@ Goldmnzen zu stehlen!",$session['user']['name'], $foundgold);
        $session['user']['specialinc']="";
        break;
        case 11:
        case 12:
        output("`@Ein wahrhaft edles Tier ... wei wie Milch in der Sonne ... umgeben von einem blendenden Schimmer "
			  ."... `@Aber jetzt bleibt keine Zeit fr Sentimentalitten! Du greifst nach dem Beutel und ... `n`n "
			  ."... hltst kurz bevor Du ihn berhren kannst inne. Der Turm, der Pegasus, der Beutel ... das alles "
			  ."kommt Dir doch sehr, sehr merkwrdig vor. Du nimmst dieses Ereignis als wertvolle Erfahrung, von der "
			  ."Du noch Deinen Enkeln wirst erzhlen knnen, und gehst Deines Weges.");
        output("`n`n`@Du erhltst `^%s`@ Erfahrungspunkte!`n", round($session['user']['experience']*0.15));
        $session['user']['experience']=round($session['user']['experience']*1.15);
        addnav("Zurck zum Wald.","forest.php");
        addnav("Tgliche News","news.php");
        addnews("`@`b%s`b `@hat ein wundervolles Mrchen ber einen seltsamen Turm im Wald geschrieben - und `balle`b Dorfbewohner schwrmen davon!",$session['user']['name']);
		$body = sprintf_translate("/me `\@freut sich, als %s einige Dorfbewohner ber das Mrchen sprechen hrt, das %s geschrieben hat!", translate($session[user][sex]?"sie":"er"), translate($session[user][sex]?"sie":"er"));
		injectcommentary("village", "","$body", $schema=false);
        $session['user']['specialinc']="";
        break;
	}

}elseif ($op=="oeffnen"){

    switch(e_rand(1,10)){
        case 1:
        case 2:
        output("`@Zu Deiner Freude bemerkst Du, dass die Tr unverschlossen ist! Vorsichtig versuchst Du sie "
			  ."aufzuschieben ... als sie pltzlich ... aus ... den ... Angeln ...`n`n `#'Neeeeeeeiiiiiiin ...!'");
        output("`$`n`nDu bist tot!");
        output("`n`@Du verlierst `$%s`@ Erfahrungspunkte und all Dein Gold!`n", round($session['user']['experience']*0.03));
        output("`@Du kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.97);
        addnav("Tgliche News","news.php");
        addnews("`\$`b%s`b `\$wurde im Wald von einer schweren Eichentr erschlagen.",$session['user']['name']);
        $session['user']['specialinc']="";
        break;
        case 3:
        case 4:
        case 5:
        case 6:
        case 7:
        case 8:
        case 9:
        case 10:
        output("`@Zu Deiner Freude bemerkst Du, dass die Tr unverschlossen ist! Vorsichtig schiebst Du sie auf ... "
			  ."und wirfst einen ersten Blick hinein. Du siehst einen gemtlichen Vorraum, von dem aus eine "
			  ."Wendeltreppe nach oben fhrt. Es gibt einen Holztisch, der sich unter der Last des schwerverletzten "
			  ."Krper eines seltsamen Wesens biegt. Es ist halb Lwe, halb Skorpion ... eine Chimre! `n`nDas ist "
			  ."aber interessant ... Du gehst hinein, um Dir das Mischwesen genauer anzusehen.");
        addnav("Weiter.", $from . "op=drinnen");
        break;
	}

}elseif($op=="drinnen"){

    switch(e_rand(1,10)){
        case 1:
        case 2:
        case 3:
        case 4:
        case 5:
        output("`@Das Wesen ist tot. Der Wunde nach muss es mit einem einzigen Schwertstreich erlegt worden sein. "
			  ."Wenn da nur nicht die Verbrennungen wren ... Als Du pltzlich die schnellen Schritte schwerer "
			  ."Eisenstulpen auf der Treppe vernimmst, greifst Du panisch nach dem ersten Gegenstand, den Du zu "
			  ."fassen bekommst - ganz ohne Beute willst Du diese Gefahr nicht auf Dich genommen haben. Es ist ein "
			  ."bronzenes Amulett ...`n`n`@Du hast dem griechischen Heros Bellerophontes das Amulett des Lebens gestohlen!");
		if (is_module_active('alignment')) align("-5");
        $session['user']['maxhitpoints']++;
        $session['user']['hitpoints']++;
        output("`n`n`@Du erhltst `^%s`@ Erfahrungspunkte!", round($session['user']['experience']*0.05));
        output("`n`n`@Du erhltst `^einen`@ permanenten Lebenspunkt!");
        $session['user']['experience']=round($session['user']['experience']*1.05);
        $session['user']['specialinc']="";
        break;
        case 6:
        case 7:
        output("`@Das Wesen ist tot. Der Wunde nach muss es mit einem einzigen Schwertstreich erlegt worden sein. "
			  ."Wenn da nur nicht die Verbrennungen wren ... `@Als Du pltzlich die schnellen Schritte schwerer "
			  ."Eisenstulpen auf der Treppe vernimmst, greifst Du panisch nach dem ersten Gegenstand, den Du zu "
			  ."fassen bekommst - ganz ohne Beute willst Du diese Gefahr nicht auf Dich genommen haben. Es ist ein "
			  ."bronzenes Amulett - das Du wnschtest, nun lieber nicht in der Hand zu halten. Vor Dir steht der "
			  ."griechische Heros Bellerophontes, Reiter des Pegasus und Bezwinger der Chimren!");
        output("`#'Wer bist Du, Wurm, dass Du es wagst, mich zu bestehlen?!' `@`n`n Er erweist sich als wahrer "
			  ."Meister der Rhetorik und streckt Dich kurzerhand mit seinem Flammenschwert nieder.");
        output("`$`n`nDu bist tot!");
        output("`n`@Du verlierst `$%s`@ Erfahrungspunkte und all Dein Gold!", round($session['user']['experience']*0.07));
        output("`n`@Du kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.93);
        addnav("Tgliche News","news.php");
        addnews("`\$%s ebenso gemeine wie unfhige %s `b%s`b `\$wurde von `#Bellerophontes`\$ mit einem Flammenschwert in der Mitte zerteilt.", translate($session['user']['sex']?"Die":"Der"), translate($session['user']['sex']?"Diebin":"Dieb"), $session['user']['name']);
        $session['user']['specialinc']="";
        break;
        case 8:
        case 9:
        case 10:
        output("`@Der Wunde nach muss das Wesen mit einem einzigen Schwertstreich erlegt worden sein. Wenn da nur "
			  ."nicht die Verbrennungen wren ... Na, Hauptsache es ist tot. Als Du pltzlich die schnellen "
			  ."Schritte schwerer Eisenstulpen auf der Treppe vernimmst, greifst Du panisch nach dem ersten "
			  ."Gegenstand, den Du zu fassen bekommst - ganz ohne Beute willst Du diese Gefahr nicht auf Dich "
			  ."genommen haben. Es ist ein bronzenes Amulett - das Dir aus der Hand rutscht, als Du Dich umdrehst. "
			  ."Vor Dir steht der griechische Heros Bellerophontes, Reiter des Pegasus und Bezwinger der Chimren! "
			  ."Er reit sein flammendes Schwert nach oben, um zum Schlag auszuholen. Jetzt ist es aus!");
        output("`#'Runter mit Dir, Du Wurm!'`@ Reflexartig tust Du, wie Dir geheien und sprst die Hitze des "
			  ."Schwertes an Deiner Wange entlangsausen. Wi-der-lich-es, grnes Chimrenblut bespritzt Dich ber "
			  ."und ber. Dankbar schaust Du auf, Deinem Retter ins Gesicht.`n`n `#'Das wre beinahe Dein Tod "
			  ."gewesen, Du schbiger Dieb. Aber diesmal sei Dir der Schrecken Lehre genug!' `@Bellerophontes ist "
			  ."gndig und jagt Dich mit Futritten nach drauen.");
        output("`n`n`@Du erhltst `^%s`@ Erfahrungspunkte!", round($session['user']['experience']*0.08));
        output("`@`n`nDu verlierst `$2`@ Charmepunkte!");
        $session['user']['charm']-=2;
        output("`n`n`@Auf der Flucht hast Du die Hlfte Deines Goldes verloren!`n");
        $session['user']['experience']=round($session['user']['experience']*1.08);
        $session['user']['gold']*0.50;
        $session['user']['specialinc']="";
        break;
	}

}elseif ($op=="klettern"){

    switch(e_rand(1,10)){
        case 1:
        case 2:
        case 3:
        output("`@Du greifst nach dem Efeu und ziehst einige Male daran. Alles in Ordnung, es scheint zu halten. "
			  ."Vorsichtig beginnst Du hinaufzuklettern ...");
        output("`@Du hast gerade die Hlfte des Weges bis zum Balkon erklommen, als Du pltzlich mit einem Fu "
			  ."hngen bleibst. Du schttelst ihn, um ihn freizubekommen, doch vergebens - die Pflanze scheint Dich "
			  ."bei sich behalten zu wollen! In Panik verfallen, wirst Du immer hektischer, aber alle Mhe wird "
			  ."bestraft: schon bald kannst Du Dich berhaupt nicht mehr bewegen. Die Pflanze hlt Dich fr die "
			  ."Ewigkeit gefangen.");
        output("`$`n`nDu bist tot!");
        output("`@`n`nDu verlierst `$%s`@ Erfahrungspunkte und all Dein Gold!", round($session['user']['experience']*0.03));
        output("`@`n`nDu kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.97);
        addnav("Tgliche News","news.php");
        addnews("`\$`b%s`b `\$verhedderte sich im Efeu von `#Bellerophontes'`\$ Turm und ist dort verhungert.",$session['user']['name']);
        $session['user']['specialinc']="";
        break;
        case 4:
        case 5:
        case 6:
        case 7:
        case 8:
        output("`@Du greifst nach dem Efeu und ziehst einige Male daran. Alles in Ordnung, es scheint zu halten. "
			  ."Vorsichtig beginnst Du hinaufzuklettern ...");
        output("`@Das ist aber einfach! Ohne Probleme erklimmst Du das Efeu bis zum Balkon. Mit einem letzten, "
			  ."kraftvollen Zug hievst Du Deinen edlen Krper ber die Brstung und erblickst: ");
		output("Bellerophontes, den griechischen Heros! `@Er tritt Dir mit gemessenen Schritten entgegen, whrend "
			  ."Du nichts empfindest als Bewunderung fr seine groartige Erscheinung: langes, dunkles Haar, das "
			  ."von einem Reif gehalten wird; eine strahlend weie Robe, die das Zeichen des Poseidon ziert; der "
			  ."ehrfurchtgebietende Blick eines Mannes, der den Gttern entstammt ...");
		output("`@Dein Bewusstsein schwindet und Du hast einen Traum, wie keinen je zuvor. Ein groes Mischwesen "
			  ."aus Lwe und Skorpion kommt darin vor ... `n`nAls Du wieder erwachst, liegst Du irgendwo im Wald "
			  ."und schwelgst noch immer - mit genauer Erinnerung an Bellerophontes' sthetische Kampftaktik!");
        output("`n`n`@Da Du von nun an mutiger kmpfen wirst, erhltst Du `^2`@ Charmepunkte!");
        $session['user']['charm']+=2;
        output("`n`n`@Du erhltst `^1`@ Punkt Angriff!");
        $session['user']['attack']++;
        $session['user']['specialinc']="";
        break;
        case 9:
        case 10:
        output("`@Du greifst nach dem Efeu und ziehst einige Male daran. Alles in Ordnung, es scheint zu halten. "
			  ."Vorsichtig beginnst Du hinaufzuklettern ...");
        output("`@Das ist aber einfach! Ohne Probleme erklimmst Du das Efeu bis zum Balkon. Mit einem letzten, "
			  ."kraftvollen Zug hievst Du Deinen edlen Krper ber die Brstung und erblickst: ");
		output("Bellerophontes, den griechischen Heros! `@Er tritt Dir mit gemessenen Schritten entgegen, whrend "
			  ."Du nichts empfindest als Bewunderung fr seine groartige Erscheinung: langes, dunkles Haar, das "
			  ."von einem Reif gehalten wird; eine strahlend weie Robe, die das Zeichen des Poseidon ziert; der "
			  ."ehrfurchtgebietende Blick eines Mannes, der den Gttern entstammt ...");
        output("`@Kam erst der Schlag und dann der Flug? Oder war es umgekehrt?");
        output("`$`n`nDu bist tot!");
        output("`n`n`@Du verlierst `$%s`@ Erfahrungspunkte und whrend des Fluges all Dein Gold!`n", round($session['user']['experience']*0.07));
        output("`n`@Du kannst morgen weiterspielen.");
        $session['user']['alive']=false;
        $session['user']['hitpoints']=0;
        $session['user']['gold']=0;
        $session['user']['experience']=round($session['user']['experience']*0.93);
        addnav("Tgliche News","news.php");
        addnews("`\$Es wurde beobachtet, wie `b%s`b`\$ aus heiterem Himmel herab auf den Dorfplatz fiel und beim Aufprall zerplatzte.", $session['user']['name']);
		injectcommentary("village", "","/me `\$fllt aus heiterem Himmel herab auf den Platz und zerplatzt beim Aufprall!", $schema=false);
        $session['user']['specialinc']="";
        break;
	}

}elseif ($op=="ausruhen"){

	switch(e_rand(1,10)){
        case 1:
        case 2:
        case 3:
        output("`@Nach den heutigen Strapazen kommt Dir ein solcher Ort gerade recht. Du legst Dich ins Gras und "
			  ."schliet die Augen ...`n`n`@Als Du wieder erwachst, liegst Du noch immer im Gras - aber der Turm "
			  ."ist verschwunden. Verwundert stehst Du auf und verlsst die friedliche Lichtung. Du musst wohl "
			  ."getrumt haben.`n`n");
        $turns3 = e_rand(4,9);
        output("`^ber die Maen ausgeruht erhltst Du %s Waldkmpfe hinzu!", $turns3);
        $session['user']['turns']+=$turns3;
		$session['user']['specialinc']="";
        break;
        case 4:
		case 5:
		output("`@Nach den heutigen Strapazen kommt Dir ein solcher Ort gerade recht. Du legst Dich ins Gras und "
			  ."schliet die Augen ...`n`n");
        output("`@Dein Schlaf ist unruhig ... und Deine Trume sind es auch ... Als Du wieder erwachst, liegst Du "
			  ."noch immer im Gras - aber der Turm ist verschwunden. Nichts bleibt, nur ein Satz, von dem Du "
			  ."getrumt haben musst: `#'Hier ist es zu gefhrlich ...'`n`n");
        output("`^Irgendjemand scheint Dir 30 Goldstcke zugesteckt zu haben ...");
		$session['user']['gold'] += 30;
        $session['user']['specialinc']="";
        break;
        case 6:
		case 7:
		case 8:
		output("`@Nach den heutigen Strapazen kommt Dir ein solcher Ort gerade recht. Du legst Dich ins Gras und "
			  ."schliet die Augen ...`n`n");
        output("`@Dein Schlaf ist unruhig ... und Deine Trume sind es auch ... Als Du wieder erwachst, liegst Du "
			  ."noch immer im Gras - aber der Turm ist verschwunden. Nichts bleibt, nur ein unwohles Gefhl in der "
			  ."Magengegend.`n`n");
        if ($session['user']['gold']>0) output("`^Man hat Dich im Schlaf um all Dein Gold erleichtert!");
		$session['user']['gold'] = 0;
        $session['user']['specialinc']="";
        break;
		case 9:
        case 10:
		output("`@Nach den heutigen Strapazen kommt Dir ein solcher Ort gerade recht. Du legst Dich ins Gras und "
			  ."schliet die Augen ...`n`n");
        output("`@Dein Schlaf ist ruhig ... und Deine Trume sind es auch ... Als Du wieder erwachst, liegst Du "
			  ."noch immer im Gras - und jemand steht vor Dir. Er hat langes, dunkles Haar, das von einem Reif "
			  ."gehalten wird, und trgt eine strahlendweie Robe, die das Zeichen des Poseidon ziert. Mit dem "
			  ."ehrfurchtgebietenden Blick eines Mannes, der den Gttern entstammt sagt er:`n`#'Ich wei, wer Du "
			  ."bist, %s.`# Im Schlaf hast Du mir alles ber Dich erzhlt, was ich wissen wollte. Deine grte "
			  ."Angst gilt dem Drachen ... nun, wenn es weiter nichts ist: Trink von diesem Ambrosia ...'`n`n"
			  ."`@Bereits nach einem winzigen Schluck schlfst Du wieder ein ... Und als Du aufwachst, befindest "
			  ."Du Dich allein auf einer leeren Lichtung.`n`n", $session['user']['name']);
        output("`n`n`@Du erhltst `^drei`@ permanente Lebenspunkte!");
        $session['user']['maxhitpoints']+=3;
        $session['user']['hitpoints']+=3;
        addnav("Tgliche News","news.php");
        addnav("Zurck zum Wald.","forest.php");
        addnews("`#Bellerophontes`@ lie `b%s`b `@am Trank der Gtter nippen!", $session['user']['name']);
        $session['user']['specialinc']="";
        break;
	}

}elseif ($op=="gehen"){

	output("`@Du verlsst diesen seltsamen Ort und kehrst in den Wald zurck. Eine vernnftige Entscheidung! Aber "
		  ."Dein Entdeckerherz fragt sich, ob `bVernunft`b fr einen Abenteurer die Beste aller Eigenschaften ist ...");
    $session['user']['specialinc']="";

}

}
function bellerophontes_run(){
}
?>
